﻿Type=Service
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim BTAdmin As BluetoothAdmin
	Dim BTSerial1 As Serial
	Dim BTFoundDevices As List
	Type BTNameAndMac (Name As String, MAC As String)
	Dim connectiontimer As Timer
	Dim found As Boolean=False
	Dim countdown As Int=0
	Dim MP As MediaPlayer
End Sub

Sub Service_Create
	BTAdmin.Initialize("BTAdmin")
	BTSerial1.Initialize("BTSerial1")
	Log("Start")
End Sub

Sub Service_Start (StartingIntent As Intent)
	If countdown<20 Then countdown=countdown+1
	If found=True Then countdown=0
	Log(countdown)
	If countdown>=6 Then
		MP.Initialize
		MP.Load(File.DirAssets, "Suono.wav")
		MP.Play
	End If
	found=False
	BTFoundDevices.Initialize
	BTAdmin.StartDiscovery
End Sub

Sub Service_Destroy

End Sub

Sub BTAdmin_DiscoveryFinished
	StartServiceAt("Trova",DateTime.Now + 20000,True)
End Sub

Sub BTAdmin_DeviceFound (Name As String, MacAddress As String)
	Log(Name & ":" & MacAddress)
	If MacAddress="D1:00:00:01:3B:D1" Then
		found=True
	End If
End Sub
